
/* copyright 1991-96 UserLand Software, Inc. All Rights Reserved.*/


#define iowascriptinclude


#ifndef __COMPONENTS__

	#include <Components.h>
	
#endif


#ifndef __OSA__

	#include <OSA.h>

#endif


typedef struct tylangcomponentrecord {
	
	ComponentInstance instance;
	
	OSType idlanguage;
	
	Handle hname;
	
	boolean flrealcomponent; /*if false, it's implemented w/o calls thru the component manager*/
	} tylangcomponentrecord, **hdllangcomponentrecord;
	
	
extern tylangcomponentrecord **langcomponentarray; /*dynamic array of language components*/


boolean frontierComponentAvailable (void);

ComponentInstance findlangcomponent (long);

void initlangcomponents (void);

void closelangcomponents (void);

short countlangcomponents (void);

boolean runlangscript (Handle, long, boolean, bigstring, Handle *);

boolean getlangmenu (MenuHandle *);

void getlanguageid (short, OSType *);
