
/* copyright 1991-96 UserLand Software, Inc. All Rights Reserved.*/


#include "iowacore.h"
#include "iowascript.h"
#include "iowainit.h"


#ifdef IOAinsideApp
	
	extern boolean IOAregistercomponents (void); /*prototype*/

	extern void IOAunregistercomponents (void); /*prototype*/
	
#endif


boolean iowaInit (void) {

	Handle htoss;
	
	#ifdef IOAinsideApp
		IOAregistercomponents ();
	#endif
	
	initIOAcomponents (&htoss);
	
	initlangcomponents ();
	
	return (true);
	} /*iowaInit*/
	
	
void iowaClose (void) {
	
	closelangcomponents ();
	
	closeIOAcomponents ();
	
	#ifdef IOAinsideApp
		IOAunregistercomponents ();
	#endif
	} /*iowaClose*/